# class Bundler::DepProxy

### Attributes

__platform[R]
dep[R]

### Public Class Methods

new(dep, platform) click to toggle source

    # File lib/bundler/dep_proxy.rb, line 7
    def initialize(dep, platform)
      @dep = dep
      @__platform = platform
    end

### Public Instance Methods

==(other) click to toggle source

    # File lib/bundler/dep_proxy.rb, line 16
    def ==(other)
      return false if other.class != self.class
      dep == other.dep && __platform == other.__platform
    end

Also aliased as: eql?
eql?(other)
Alias for: ==
hash() click to toggle source

    # File lib/bundler/dep_proxy.rb, line 12
    def hash
      @hash ||= [dep, __platform].hash
    end

name() click to toggle source

    # File lib/bundler/dep_proxy.rb, line 27
    def name
      @dep.name
    end

requirement() click to toggle source

    # File lib/bundler/dep_proxy.rb, line 31
    def requirement
      @dep.requirement
    end

to_s() click to toggle source

    # File lib/bundler/dep_proxy.rb, line 35
    def to_s
      s = name.dup
      s << " (#{requirement})" unless requirement == Gem::Requirement.default
      s << " #{__platform}" unless __platform == Gem::Platform::RUBY
      s
    end

type() click to toggle source

    # File lib/bundler/dep_proxy.rb, line 23
    def type
      @dep.type
    end

### Private Instance Methods

method_missing(*args, &blk) click to toggle source

    # File lib/bundler/dep_proxy.rb, line 44
    def method_missing(*args, &blk)
      @dep.send(*args, &blk)
    end